/*
 *  This file is part of uIRC. (https://git.redxen.eu/caskd/uIRC)
 *  Copyright (c) 2019, 2020 Alex-David Denes
 *
 *  uIRC is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  uIRC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with uIRC.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "public/converters.h"

#include "public/commands.h"
#include "public/errors.h"

#include <assert.h>
#include <string.h>

signed short
Ircmd_stoi(const char* str)
{
	assert(str != NULL);
	for (signed short i = UIRC_FCMD; i <= (signed short) UIRC_LCMD; i++) {
		if (IRC_Cmds[i] != NULL && strcmp(IRC_Cmds[i], str) == 0) return i;
	}
	return ERR_UIRC_UNKNOWN_TOKEN;
}
