/*
 *  This file is part of uIRC. (https://git.redxen.eu/caskd/uIRC)
 *  Copyright (c) 2019, 2020 Alex-David Denes
 *
 *  uIRC is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  uIRC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with uIRC.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "private/memory.h"

#include <stdbool.h>
#include <string.h>
#include <sys/types.h>

size_t
safe_strcpy(char** dest, const char* src, size_t lef)
{
	size_t cnt;
	if (lef > (cnt = strlen(src)) + 1) {
		strcpy(*dest, src);
		*dest += cnt;
		return cnt;
	} else
		return 0;
}

bool
safe_charcpy(char** dest, const char c, size_t lef)
{
	if (lef > 1) {
		*(*dest)++ = c;
		**dest     = '\0';
		return 1;
	} else
		return 0;
}
