/*
 *  This file is part of uIRC. (https://git.redxen.eu/caskd/uIRC)
 *  Copyright (c) 2019, 2020 Alex-David Denes
 *
 *  uIRC is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  uIRC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with uIRC.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef UIRC_GUARD_COMMANDS
#define UIRC_GUARD_COMMANDS

#define UIRC_FCMD ADMIN
enum commands {
	ADMIN = 10,
	AWAY,
	CONNECT,
	DIE,
	ERROR,
	INFO,
	INVITE,
	ISON,
	JOIN,
	KICK,
	KILL,
	LINKS,
	LIST,
	LUSERS,
	MODE,
	MOTD,
	NAMES,
	NICK,
	NOTICE,
	OPER,
	PART,
	PASS,
	PING,
	PONG,
	PRIVMSG,
	QUIT,
	REHASH,
	RESTART,
	SERVER,
	SERVICE,
	SERVLIST,
	SQUERY,
	SQUIT,
	STATS,
	SUMMON,
	TIME,
	TOPIC,
	TRACE,
	USER,
	USERHOST,
	USERS,
	VERSION,
	WALLOPS,
	WHO,
	WHOIS,
	WHOWAS,
#ifdef UIRC_IRCV3
	ACC,          /* https://github.com/ircv3/ircv3-specifications/pull/276 */
	ACCOUNT,      /* https://ircv3.net/specs/extensions/account-notify-3.1 */
	ACK,          /* https://ircv3.net/specs/extensions/labeled-response */
	AUTHENTICATE, /* https://ircv3.net/specs/extensions/sasl-3.1 */
	BATCH,        /* https://ircv3.net/specs/extensions/batch-3.2 */
	CAP,          /* https://ircv3.net/specs/core/capability-negotiation */
	CHGHOST,      /* https://ircv3.net/specs/extensions/chghost-3.2 */
	FAIL,         /* https://ircv3.net/specs/extensions/standard-replies */
	MONITOR,      /* https://ircv3.net/specs/core/monitor-3.2 */
	NOTE,         /* https://ircv3.net/specs/extensions/standard-replies */
	RENAME,       /* https://github.com/ircv3/ircv3-specifications/pull/420 */
	RESUME,       /* https://github.com/ircv3/ircv3-specifications/pull/306 */
	SETNAME,      /* https://ircv3.net/specs/extensions/setname */
	WARN,         /* https://ircv3.net/specs/extensions/standard-replies */
	WEBIRC,       /* https://ircv3.net/specs/extensions/webirc */
#define UIRC_LCMD WEBIRC
#else /* UIRC_IRCV3 */
#define UIRC_LCMD WHOWAS
#endif /* UIRC_IRCV3 */
};
extern const char* const IRC_Cmds[];

#endif /* UIRC_GUARD_COMMANDS */
