/*
 *  This file is part of uIRC. (https://git.redxen.eu/caskd/uIRC)
 *  Copyright (c) 2019, 2020 Alex-David Denes
 *
 *  uIRC is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  uIRC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with uIRC.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "private/string.h"

#include <stdio.h>

void
skip_spaces(char** addr)
{
	for (; **addr == ' '; (*addr)++)
		;
}

char*
strtok_mr(char** addr, const char* tokens)
{
	if (addr == NULL || *addr == NULL || !**addr || tokens == NULL) return NULL;
	char*       save = *addr;
	const char* tok  = NULL;
	do {
		if (!**addr) return save;
		for (tok = tokens; *tok; tok++) {
			if (**addr == *tok) {
				**addr = '\0';
				break;
			}
		}
	} while (*(*addr)++);
	return save;
}

