/*
 *  This file is part of uIRC. (https://git.redxen.eu/caskd/uIRC)
 *  Copyright (c) 2019, 2020 Alex-David Denes
 *
 *  uIRC is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  uIRC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with uIRC.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "../public/tokenizers.h"
#include "../public/types.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int
main(void)
{
	char mesg[][513] = {
		"", "NO ", "CM:", "@:", "@ ", "@ N", "@ N:", "\n", "\r", "AA x :\r", "9A x :\r", "XA x :\r",
	};
	IRC_Message out = { 0 };
	for (unsigned long i = 0; i < sizeof(mesg) / sizeof(*mesg); i++) {
		if (Tok_mesg(mesg[i], &out) == 1) {
			printf("Message was parsed successfuly when it was junk.\nTest failed: #%lu %s\n", i, mesg[i]);
			return EXIT_FAILURE;
		}
	}
	return EXIT_SUCCESS;
}

