/*
 *  This file is part of uIRC. (https://git.redxen.eu/caskd/uIRC)
 *  Copyright (c) 2019, 2020 Alex-David Denes
 *
 *  uIRC is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  uIRC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with uIRC.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "../public/commands.h"
#include "../public/tokenizers.h"
#include "../public/types.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define cmd      "QUIT"
#define arg1     "arg1"
#define arg2     "arg2"
#define trailing "Finished!"

int
main(void)
{
	char        mesg[513] = cmd "  " arg1 "   " arg2 "  :" trailing;
	IRC_Message parseout;
	int         res = 0;
	if ((res = Tok_mesg(mesg, &parseout)) <= 0) {
		printf("String could not be tokenized. %i\n", res);
		return EXIT_FAILURE;
	}
	if (strcmp(parseout.args[0], arg1) != 0) {
		printf("Arg1 didn't match, got \"%s\" instead of \"%s\"\n", parseout.args[0], arg1);
		return EXIT_FAILURE;
	}
	if (strcmp(parseout.args[1], arg2) != 0) {
		printf("Arg2 didn't match, got \"%s\" instead of \"%s\"\n", parseout.args[1], arg2);
		return EXIT_FAILURE;
	}
	if (strcmp(parseout.args[2], trailing) != 0) {
		printf("Trailing didn't match, got \"%s\" instead of \"%s\"\n", parseout.args[2], trailing);
		return EXIT_FAILURE;
	}
	return EXIT_SUCCESS;
}

