/*
 *  This file is part of uIRC. (https://git.redxen.eu/caskd/uIRC)
 *  Copyright (c) 2019, 2020 Alex-David Denes
 *
 *  uIRC is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  uIRC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with uIRC.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "../private/string.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int
main(void)
{
	char* pointer = NULL;
	if (strtok_mr(&pointer, "!") != NULL) return EXIT_FAILURE;
	if (pointer != NULL) return EXIT_FAILURE;

	char test2[] = "hello";
	pointer      = test2;
	if (strtok_mr(&pointer, "!") == NULL) return EXIT_FAILURE;
	if (*pointer != '\0') return EXIT_FAILURE;

	char test3[] = "hi!# hello!";
	pointer      = test3;
	if (strtok_mr(&pointer, "!#") == NULL) return EXIT_FAILURE;
	if (pointer != test3 + 3) /* MUST point at # right after ! */
		return EXIT_FAILURE;
	if (test3[2] != '\0') /* MUST replace ! with \0 */
		return EXIT_FAILURE;
	if (strtok_mr(&pointer, "!#") == NULL) return EXIT_FAILURE;
	if (pointer != test3 + 4) /* MUST point at whitespace right after # */
		return EXIT_FAILURE;
	if (test3[3] != '\0') /* MUST replace # with \0 */
		return EXIT_FAILURE;
	if (strtok_mr(&pointer, "!#") == NULL) return EXIT_FAILURE;
	if (strtok_mr(&pointer, "!#") != NULL) return EXIT_FAILURE;

	return EXIT_SUCCESS;
}

