/*
 *  This file is part of uIRC. (https://git.redxen.eu/caskd/uIRC)
 *  Copyright (c) 2019, 2020 Alex-David Denes
 *
 *  uIRC is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  uIRC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with uIRC.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "../public/tokenizers.h"
#include "../public/types.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int
main(void)
{
	char        mesg[513] = "@msgid=1s32;+time QUIT";
	IRC_Message parseout;
	int         res = 0;
	if ((res = Tok_mesg(mesg, &parseout)) <= 0) {
		printf("String could not be tokenized. %i\n", res);
		return EXIT_FAILURE;
	}
	if (parseout.tags.msgid.value == NULL || strcmp(parseout.tags.msgid.value, "1s32") != 0) {
		printf("Message ID was not properly parsed.\n");
		return EXIT_FAILURE;
	}
	if (parseout.tags.time.value == NULL || *parseout.tags.time.value != '\0' || !parseout.tags.time.clientbound) {
		printf("Time was not properly parsed.\n");
		return EXIT_FAILURE;
	}
	return EXIT_SUCCESS;
}

